- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# getfreepage.c File Reference

`#include <vmm/vmm.h>`
`#include <ubixos/kpanic.h>`
`#include <ubixos/spinlock.h>`

Include dependency graph for getfreepage.c:

Go to the source code of this file.

## Functions
void * | vmmGetFreePage (pidType pid)
## Variables
static spinLock_t | vmmGFPlock = SPIN_LOCK_INITIALIZER

## Function Documentation

void* vmmGetFreePage | ( | pidType | pid | ) |

Definition at line 48 of file getfreepage.c.

References KERNEL_PAGE_DEFAULT, kpanic(), spinLock(), spinUnlock(), tablesBaseAddress, vmm_remapPage(), vmmClearVirtualPage(), vmmFindFreePage(), vmmGFPlock, and x1000.

Referenced by vmmCreateVirtualSpace().

Here is the call graph for this function:

## Variable Documentation

spinLock_t vmmGFPlock = SPIN_LOCK_INITIALIZER`[static]`

Definition at line 34 of file getfreepage.c.

Referenced by vmmGetFreePage().